# Interface VideoSourceDto

interface VideoSourceDto {
app_name?: string;
asset_id?: string;
avg_bitrate?: number;
codec?: string;
codecs?: string;
container?: string;
duration?: number;
encryption?: Record<string, unknown>;
ext_x_version?: string;
height?: number;
key_systems?: Record<string, KeySystemDto>;
profiles?: string;
size?: number;
src?: string;
stream_name?: string;
type?: string;
vmap?: string;
width?: number;
}

#####
Index

### Properties

app_name?
asset_id?
avg_bitrate?
codec?
codecs?
container?
duration?
encryption?
ext_x_version?
height?
key_systems?
profiles?
size?
src?
stream_name?
type?
vmap?
width?

## Properties

### `Optional` app_name

app_name?: string

the address for rtmp streams

### `Optional` asset_id

asset_id?: string

the asset id for the source

### `Optional` avg_bitrate

avg_bitrate?: number

average bitrate

### `Optional` codec

codec?: string

### `Optional` codecs

codecs?: string

the video codec

### `Optional` container

container?: string

the video container

### `Optional` duration

duration?: number

duration in milliseconds

### `Optional` encryption

encryption?: Record<string, unknown>

### `Optional` ext_x_version

ext_x_version?: string

### `Optional` height

height?: number

frame height in pixels

### `Optional` key_systems

key_systems?: Record<string, KeySystemDto>

### `Optional` profiles

profiles?: string

### `Optional` size

size?: number

size in bytes

### `Optional` src

src?: string

### `Optional` stream_name

stream_name?: string

the stream name for the source

### `Optional` type

type?: string

the type (for HLS streams)

### `Optional` vmap

vmap?: string

url to the vmap file that describes ads on the source

### `Optional` width

width?: number

frame width in pixels